@tailwind base;
@tailwind components;
@tailwind utilities;
@layer base {
    h1 {
        @apply text-3xl;
        @apply font-semibold;
    }

    h2 {
        @apply text-2xl;
    }

    h3 {
        @apply text-xl;
    }

    a {
        @apply text-blue-600 underline;
    }
}

@layer components {
    .summary {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-left: 10px;
        padding-right: 10px;
        font-size: large;
        font-weight: bold;
        color: white;
    }

    .summary::after {
        content: '';
        width: 18px;
        height: 10px;
        background-image: url("/img/arrow.svg");
        transition: 0.4s;
    }

    details[open] > .summary::after {
        transform: rotate(180deg);
    }

    @media screen and (max-width: 800px) {

        .with-label thead {
            display: none !important;
        }

        .with-label tr {
            display: flex !important;
            flex-direction: column !important;
            gap: 2px !important;

            padding-left: 4px !important;
            margin-bottom: 8px !important;
        }

        .with-label td {
            text-align: left !important;
            display: block !important;
            padding: 0 !important;
        }

        .with-label td::before {
            content: attr(data-label);
            font-weight: bold;
            float: left;
            width: 50%;
        }
    }
    @media screen and (max-width: 700px) {

        .with-label td::before {
            display: block;
            text-align: left;
            float: none;
            width: auto;
        }
    }
}
